Microsoft Hosting Bundle Requirements - API Server - Foundation 23.1 - Foundation 23.1 - Ready - OnBase - Essential - Premier - Standard - external - Standard - Essential - Premier

API Server

Platform
OnBase
Product
API Server
Release
Foundation 23.1
License
Standard
Essential
Premier

The API Server requires Microsoft Hosting Bundle 2.x, with a minimum version requirement of Hosting Bundle 2.1. The API Server installer installs the ASP.Net Core Hosting Bundle 2.1.30 if a newer 2.1.x version isn't already installed.

If you are installing both 2.1 and 3.x versions of the .NET hosting bundle, they can be installed side-by-side.

Note:

Support for ASP.NET Core 2.1 on .NET Framework matches the ASP.NET Support policy for other package-based ASP.NET frameworks. The complete list of packages covered by this policy can be see in ASP.NET Core 2.1 Supported Packages.

The .NET Framework and Hosting Bundle is a Microsoft product. For additional installation and configuration procedures, see the Microsoft documentation.